package	jp.co.sds_corp.report.source;

import java.util.Vector;

import jp.co.sds_corp.util.config.IConfiguration;

/**
* ファイルからデータを取得するクラスの定義です。
<PRE>
&lt;Source class="jp.co.sds_corp.report.source.CsvFileSource"
	separator=","
	file="src.txt" /&gt;
&lt;Source class="jp.co.sds_corp.report.source.CsvFileSource"
	url="file://src.txt" /&gt;
</PRE>
*/
public class CsvFileSource extends FileSource
{
	String	sep;

	/**
	* 設定情報で初期化します。
	* @param    config  設定情報
	*/
	public void init( IConfiguration config ) throws Exception {
		super.init( config );
		sep = config.getAttributes().get( "separator", "\t" );
	}

	protected void parseLine( String line ) {
		String[] arr = line.split( sep, -1 );
		Vector<String> vec = new Vector<String>();
		if ( arr != null ) {
			for ( int i = 0; i < arr.length; i++ ) {
				vec.add( arr[i] );
			}
		}
		bean.getList().add( vec );
	}

}
